__COPY_TO_USER_IN(9)

NAME
__copy_to_user_inatomic - Copy a block of data into user space, with less checking.

SYNOPSIS

__always_inline unsigned long __must_check __copy_to_user_inatomic (void __user * to, const void * from, unsigned long n);

ARGUMENTS

to  Destination address, in user space.

from
    Source address, in kernel space.

n   Number of bytes to copy.

CONTEXT

User context only. This function may sleep.

DESCRIPTION

Copy data from kernel space to user space. Caller must check the specified block with access_ok before calling this function.

Returns number of bytes that could not be copied. On success, this will be zero.